<?php
include(__DIR__ . '/chirp.inc.php');

$user = getenv('GITEA_USER');
$pass = getenv('GITEA_PASS');

$gitea_url = 'https://git.bit5.ru';
$log_to_slack = !in_array('--dry-run', $argv);

$auth_token = hoopoe\gitea_login($gitea_url, $user, $pass);
if(!$auth_token)
  throw new Exception("Could not login to gitea");

hoopoe\gitea_check_repo($auth_token, $gitea_url, 'bit/skeletik', 
  array(
  'check_forks' => true, 
  'check_composer' => true, 
  'check_upm' => false,
  'log_to_slack' => $log_to_slack,
  )
);
hoopoe\gitea_check_repo($auth_token, $gitea_url, 'bit/skeletor',
  array(
  'check_forks' => true, 
  'check_composer' => true, 
  'check_upm' => true,
  'log_to_slack' => $log_to_slack,
  )
);
hoopoe\gitea_check_repo($auth_token, $gitea_url, 'bit/skeletor-rnd',
  array(
  'check_forks' => true, 
  'check_composer' => true, 
  'check_upm' => true,
  'log_to_slack' => $log_to_slack,
  )
);
hoopoe\gitea_check_repo($auth_token, $gitea_url, 'game/gymmania',
  array(
  'check_forks' => false, 
  'check_composer' => true, 
  'check_upm' => false,
  'log_to_slack' => $log_to_slack,
  )
);

